Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class EnumerationIterator

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.EnumerationIterator`

All Implemented Interfaces:
  java.util.Iterator

      public class EnumerationIterator

extends Base
implements java.util.Iterator

Provide a implementation of an Iterator based on data from an Enumeration.

Version:
  1.00, 2002.02.07
Author:
  Cameron Purdy

Constructor Summary
`EnumerationIterator(java.util.Enumeration enmr)` Construct the Iterator based on an Enumeration.

Method Summary
`boolean` | `hasNext()` Tests if this Iterator contains more elements.
`java.lang.Object` | `next()` Returns the next element of this Iterator.
`void` | `remove()` Remove the last-returned element that was returned by the Iterator.

Constructor Detail

### EnumerationIterator

    public EnumerationIterator(java.util.Enumeration enmr)

  Construct the Iterator based on an Enumeration.
  Parameters:
    `enmr` - an Enumeration

Method Detail

### hasNext

    public boolean hasNext()

  Tests if this Iterator contains more elements.
  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    true if the Iterator contains more elements, false otherwise

### next

    public java.lang.Object next()

  Returns the next element of this Iterator.
  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the next element in the Iterator

### remove

    public void remove()

  Remove the last-returned element that was returned by the Iterator. This method always throws UnsupportedOperationException because the Iterator is immutable.
  Specified by:
    `remove` in interface `java.util.Iterator`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.